rpms/mozilla-adblockplus/EL-5 mozilla-adblockplus-tarball.sh, NONE, 1.1 .cvsignore, 1.1, 1.2 sources, 1.1, 1.2

Matej Cepl mcepl at fedoraproject.org
Sat Jul 24 16:41:35 UTC 2010


Author: mcepl

Update of /cvs/pkgs/rpms/mozilla-adblockplus/EL-5
In directory cvs01.phx2.fedoraproject.org:/tmp/cvs-serv29318

Modified Files:
	.cvsignore sources 
Added Files:
	mozilla-adblockplus-tarball.sh 
Log Message:
First EL-6 build, upgrade to devel/ versions


--- NEW FILE mozilla-adblockplus-tarball.sh ---
#!/bin/bash

set -e

version="$1"
if [ -z "$version" ] ; then
    echo "Usage: $0 VERSION"
    echo "  For example $0 1.1.3"
    exit 1
fi

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
    set +e
    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=$(pwd)

cd "$tmp"
hg clone https://hg.adblockplus.org/adblockplus/
cd adblockplus
hg archive --type tbz2 --rev "ADBLOCK_PLUS_${version//./_}_RELEASE" \
    --prefix "mozilla-adblockplus-$version" \
    "$pwd/mozilla-adblockplus-$version.tar.bz2"
cd ..
hg clone https://hg.adblockplus.org/buildtools/
cd buildtools
hg archive --type tbz2 --rev "ADBLOCK_PLUS_${version//./_}_RELEASE" \
    --prefix buildtools "$pwd/mozilla-adblockplus-$version-buildtools.tar.bz2"
cd "$pwd"


Index: .cvsignore
===================================================================
RCS file: /cvs/pkgs/rpms/mozilla-adblockplus/EL-5/.cvsignore,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -p -r1.1 -r1.2
--- .cvsignore	29 Jul 2009 00:59:55 -0000	1.1
+++ .cvsignore	24 Jul 2010 16:41:35 -0000	1.2
@@ -0,0 +1,2 @@
+mozilla-adblockplus-1.1.3.tar.bz2
+mozilla-adblockplus-1.1.3-buildtools.tar.bz2


Index: sources
===================================================================
RCS file: /cvs/pkgs/rpms/mozilla-adblockplus/EL-5/sources,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -p -r1.1 -r1.2
--- sources	29 Jul 2009 00:59:55 -0000	1.1
+++ sources	24 Jul 2010 16:41:35 -0000	1.2
@@ -0,0 +1,2 @@
+e188583abfa00493a60af89507f657f9  mozilla-adblockplus-1.1.3.tar.bz2
+9ab5ba609bdc8bcaeac8e9af90c4ab97  mozilla-adblockplus-1.1.3-buildtools.tar.bz2



More information about the scm-commits mailing list